<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CANFD Driver External Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">CANFD Driver External Functions<div class="ingroups"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r.html">CANFD Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the exported API which the applications need to invoke in order to use the CANFD driver.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga095573d0bf132b6e5b09761c510c9b82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga095573d0bf132b6e5b09761c510c9b82">CANFD_init</a> (const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga086c0557a3517b9a46e30123c24538bf">CANFD_MCANInitParams</a> *configParams, int32_t *errCode)</td></tr>
<tr class="separator:ga095573d0bf132b6e5b09761c510c9b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa913fbe2f7d514fe578b7b6372f5308f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa913fbe2f7d514fe578b7b6372f5308f">CANFD_deinit</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gaa913fbe2f7d514fe578b7b6372f5308f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaccbc797be7b2a1a6f3f75b39e8d74025"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaccbc797be7b2a1a6f3f75b39e8d74025">CANFD_configBitTime</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga418dc3ab920d1141e07d3048c5dd5aef">CANFD_MCANBitTimingParams</a> *bitTimeParams, int32_t *errCode)</td></tr>
<tr class="separator:gaccbc797be7b2a1a6f3f75b39e8d74025"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33cd186b8278b844dce2d9ea6e7c033b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga33cd186b8278b844dce2d9ea6e7c033b">CANFD_createMsgObject</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga715a58b8cf5a117bc344f823c0e780c0">CANFD_MCANMsgObjCfgParams</a> *msgObjectParams, int32_t *errCode)</td></tr>
<tr class="separator:ga33cd186b8278b844dce2d9ea6e7c033b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbfe1bf5af67ec79d528c31030446bf8"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafbfe1bf5af67ec79d528c31030446bf8">CANFD_deleteMsgObject</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gafbfe1bf5af67ec79d528c31030446bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ae4a3265a6d85596c0ca0ceccb99e90"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9ae4a3265a6d85596c0ca0ceccb99e90">CANFD_transmitData</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, uint32_t id, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a> frameType, uint32_t dataLength, const uint8_t *data, int32_t *errCode)</td></tr>
<tr class="separator:ga9ae4a3265a6d85596c0ca0ceccb99e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f696e49ce9bb213d07ebec721678179"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7f696e49ce9bb213d07ebec721678179">CANFD_transmitDataCancel</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga7f696e49ce9bb213d07ebec721678179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad471551dd1dfd104fab28ae82a6583b3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad471551dd1dfd104fab28ae82a6583b3">CANFD_getData</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, uint32_t *id, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a> *ptrFrameType, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga38323de53e1d81f7ceb9ce2da201f107">CANFD_MCANXidType</a> *idType, uint32_t *ptrDataLength, uint8_t *data, int32_t *errCode)</td></tr>
<tr class="separator:gad471551dd1dfd104fab28ae82a6583b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02619b56fc15a722f1fbf03b3df07245"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga02619b56fc15a722f1fbf03b3df07245">CANFD_getOptions</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a> *ptrOptInfo, int32_t *errCode)</td></tr>
<tr class="separator:ga02619b56fc15a722f1fbf03b3df07245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae6e2aab6af4d186d7e94f5074d721dc"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaae6e2aab6af4d186d7e94f5074d721dc">CANFD_setOptions</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a> *ptrOptInfo, int32_t *errCode)</td></tr>
<tr class="separator:gaae6e2aab6af4d186d7e94f5074d721dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the exported API which the applications need to invoke in order to use the CANFD driver. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gaccbc797be7b2a1a6f3f75b39e8d74025"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t CANFD_configBitTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga418dc3ab920d1141e07d3048c5dd5aef">CANFD_MCANBitTimingParams</a> *&#160;</td>
          <td class="paramname"><em>bitTimeParams</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function configures the bit time parameters for the CANFD module.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the CANFD Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">bitTimeParams</td><td>Bit time configuration parameters </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga33cd186b8278b844dce2d9ea6e7c033b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> CANFD_createMsgObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga715a58b8cf5a117bc344f823c0e780c0">CANFD_MCANMsgObjCfgParams</a> *&#160;</td>
          <td class="paramname"><em>msgObjectParams</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function configures the receive or transmit message object. It also enables Tx, completion and Tx cancelation interrupts . The callback function will be invoked on data transmit complete for transmit message objects OR upon receiving data for receive message objects. The application MUST then call <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad471551dd1dfd104fab28ae82a6583b3">CANFD_getData()</a> API to process the received data.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the CANFD Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">msgObjectParams</td><td>Message Object configuration parameters </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the message object. </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 Function configures the receive or transmit message object. It also enables Tx, completion nnd Tx cancelation interrupts . The callback function will be invoked on data transmit complete for transmit message objects OR upon receiving data for receive message objects. The application MUST then call <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad471551dd1dfd104fab28ae82a6583b3">CANFD_getData()</a> API to process the received data.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the CANFD Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">msgObjectParams</td><td>Message Object configuration parameters </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the message object. </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa913fbe2f7d514fe578b7b6372f5308f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t CANFD_deinit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function closes the CANFD driver instance and cleanups all the memory allocated by the CANFD driver.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the CANFD Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gafbfe1bf5af67ec79d528c31030446bf8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t CANFD_deleteMsgObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function deletes a message object.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the message object </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad471551dd1dfd104fab28ae82a6583b3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t CANFD_getData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a> *&#160;</td>
          <td class="paramname"><em>ptrFrameType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga38323de53e1d81f7ceb9ce2da201f107">CANFD_MCANXidType</a> *&#160;</td>
          <td class="paramname"><em>idType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>ptrDataLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function is used by the application to get the CAN message from message RAM using a receive message object.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the message object </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">id</td><td>Message Identifier </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrFrameType</td><td>Frame type - Classic or FD </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">idType</td><td>Meassage Id type - 11 bit standard or 29 bit extended </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrDataLength</td><td>Data Length of the received frame. Valid values: 1 to 64 bytes. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>Received data. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga02619b56fc15a722f1fbf03b3df07245"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t CANFD_getOptions </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a> *&#160;</td>
          <td class="paramname"><em>ptrOptInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function is used by the application to get the error and status information from the driver.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the CANFD Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrOptInfo</td><td>Option info in TLV format which is populated with the requested information </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 Function is used by the application to get the error and status information from the driver.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the CAN Driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrOptInfo</td><td>Option info in TLV format which is populated with the requested information </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga095573d0bf132b6e5b09761c510c9b82"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> CANFD_init </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga086c0557a3517b9a46e30123c24538bf">CANFD_MCANInitParams</a> *&#160;</td>
          <td class="paramname"><em>configParams</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function initializes the CANFD driver instance with the specified hardware attributes. It resets and configures the MCAN module, sets up the Message RAM and ECC Aggregator. It configures the CANFD driver with the control parameters.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">configParams</td><td>CANFD module configuration parameters </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the CANFD Driver </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaae6e2aab6af4d186d7e94f5074d721dc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t CANFD_setOptions </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a> *&#160;</td>
          <td class="paramname"><em>ptrOptInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function is used by the application to configure the driver options.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the CANFD Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrOptInfo</td><td>Option info in TLV format which is used to configure the driver </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9ae4a3265a6d85596c0ca0ceccb99e90"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t CANFD_transmitData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a>&#160;</td>
          <td class="paramname"><em>frameType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function used by the application to transmit data.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the message object </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">id</td><td>Message Identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">frameType</td><td>Frame type - Classic or FD </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLength</td><td>Data Length to be transmitted. Valid values: 1 to 64 bytes. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>Data to be transmitted </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7f696e49ce9bb213d07ebec721678179"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t CANFD_transmitDataCancel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function used by the application to cancel a pending data transmit.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the message object </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- &lt;0 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
